
QGIS Application - Feature request #2116

avoid black and white from default colors

2009-11-19 01:41 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 12176

Description

When loading a vector, random colors are assigned; it seems appropriate avoiding both black and white, as white can be confused with

background, and black is the default color for outline. Same for random colors in classifications

History

#1 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-14 11:52 AM - Médéric RIBREUX

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

Hello, bug triage...

after digging into the code, I've found the default color symbol affectation (on core/symbology-ng/qgssymbolv2.cpp):

s->setColor( QColor::fromHsv( qrand() % 360, 64 + qrand() % 192, 128 + qrand() % 128 ) );

The saturation can't be inferior to 64 (avoid color to be too white) and the value can't be inferior to 128 (avoiding too dark colors).

I am closing this old one !
